## g_anaeig

Main Table of Contents

VERSION 3.2.0
Sun 25 Jan 2004

### Description

`g_anaeig` analyzes eigenvectors. The eigenvectors can be of a covariance matrix (`g_covar`) or of a Normal Modes anaysis (`g_nmeig`).

When a trajectory is projected on eigenvectors, all structures are fitted to the structure in the eigenvector file, if present, otherwise to the structure in the structure file. When no run input file is supplied, periodicity will not be taken into account. Most analyses are performed on eigenvectors `-first` to `-last`, but when `-first` is set to -1 you will be prompted for a selection.

`-comp`: plot the vector components per atom of eigenvectors `-first` to `-last`.

`-rmsf`: plot the RMS fluctuation per atom of eigenvectors `-first` to `-last` (requires `-eig`).

`-proj`: calculate projections of a trajectory on eigenvectors `-first` to `-last`. The projections of a trajectory on the eigenvectors of its covariance matrix are called principal components (pc's). It is often useful to check the cosine content the pc's, since the pc's of random diffusion are cosines with the number of periods equal to half the pc index. The cosine content of the pc's can be calculated with the program `g_analyze`.

`-2d`: calculate a 2d projection of a trajectory on eigenvectors `-first` and `-last`.

`-3d`: calculate a 3d projection of a trajectory on the first three selected eigenvectors.

`-filt`: filter the trajectory to show only the motion along eigenvectors `-first` to `-last`.

`-extr`: calculate the two extreme projections along a trajectory on the average structure and interpolate `-nframes` frames between them, or set your own extremes with `-max`. The eigenvector `-first` will be written unless `-first` and `-last` have been set explicitly, in which case all eigenvectors will be written to separate files. Chain identifiers will be added when writing a `.pdb` file with two or three structures (you can use `rasmol -nmrpdb` to view such a pdb file).

Overlap calculations between covariance analysis:
NOTE: the analysis should use the same fitting structure

`-over`: calculate the subspace overlap of the eigenvectors in file `-v2` with eigenvectors `-first` to `-last` in file `-v`.

`-inpr`: calculate a matrix of inner-products between eigenvectors in files `-v` and `-v2`. All eigenvectors of both files will be used unless `-first` and `-last` have been set explicitly.

When `-v`, `-eig`, `-v2` and `-eig2` are given, a single number for the overlap between the covariance matrices is generated. The formulas are:
difference = sqrt(tr((sqrt(M1) - sqrt(M2))^2))
normalized overlap = 1 - difference/sqrt(tr(M1) + tr(M2))
shape overlap = 1 - sqrt(tr((sqrt(M1/tr(M1)) - sqrt(M2/tr(M2)))^2))
where M1 and M2 are the two covariance matrices and tr is the trace of a matrix. The numbers are proportional to the overlap of the square root of the fluctuations. The normalized overlap is the most useful number, it is 1 for identical matrices and 0 when the sampled subspaces are orthogonal.

### Files

option | filename | type | description
--- | --- | --- | ---
`-v` | `eigenvec.trr` | Input | Full precision trajectory: trr trj
`-v2` | `eigenvec2.trr` | Input, Opt. | Full precision trajectory: trr trj
`-f` | `traj.xtc` | Input, Opt. | Generic trajectory: xtc trr trj gro g96 pdb
`-s` | `topol.tpr` | Input, Opt. | Structure+mass(db): tpr tpb tpa gro g96 pdb xml
`-n` | `index.ndx` | Input, Opt. | Index file
`-eig` | `eigenval.xvg` | Input, Opt. | xvgr/xmgr file
`-eig2` | `eigenval2.xvg` | Input, Opt. | xvgr/xmgr file
`-comp` | `eigcomp.xvg` | Output, Opt. | xvgr/xmgr file
`-rmsf` | `eigrmsf.xvg` | Output, Opt. | xvgr/xmgr file
`-proj` | `proj.xvg` | Output, Opt. | xvgr/xmgr file
`-2d` | `2dproj.xvg` | Output, Opt. | xvgr/xmgr file
`-3d` | `3dproj.pdb` | Output, Opt. | Generic structure: gro g96 pdb xml
`-filt` | `filtered.xtc` | Output, Opt. | Generic trajectory: xtc trr trj gro g96 pdb
`-extr` | `extreme.pdb` | Output, Opt. | Generic trajectory: xtc trr trj gro g96 pdb
`-over` | `overlap.xvg` | Output, Opt. | xvgr/xmgr file
`-inpr` | `inprod.xpm` | Output, Opt. | X PixMap compatible matrix file

### Other options

option | type | default | description
--- | --- | --- | ---
`-[no]h` | bool | `no` | Print help info and quit
`-nice` | int | `19` | Set the nicelevel
`-b` | time | `-1` | First frame (ps) to read from trajectory
`-e` | time | `-1` | Last frame (ps) to read from trajectory
`-dt` | time | `-1` | Only use frame when t MOD dt = first time (ps)
`-tu` | enum | `ps` | Time unit: `ps`, `fs`, `ns`, `us`, `ms`, `s`, `m` or `h`
`-[no]w` | bool | `no` | View output xvg, xpm, eps and pdb files
`-first` | int | `1` | First eigenvector for analysis (-1 is select)
`-last` | int | `8` | Last eigenvector for analysis (-1 is till the last)
`-skip` | int | `1` | Only analyse every nr-th frame
`-max` | real | `0` | Maximum for projection of the eigenvector on the average structure, max=0 gives the extremes
`-nframes` | int | `2` | Number of frames for the extremes output
`-[no]split` | bool | `no` | Split eigenvector projections where time is zero

http://www.gromacs.org
gromacs@gromacs.org